//
//  UIViewRepresentable.swift
//  skittles
//
//  Created by Илья Лошкарёв on 07.11.2017.
//  Copyright © 2017 Илья Лошкарёв. All rights reserved.
//

import UIKit

public protocol UIReusableType: class {
    static var reuseId: String { get }
}

extension UIReusableType {
    public static var reuseId: String {
        return "\(Self.self).reuseId"
    }
}

extension UITableViewCell: UIReusableType {}
extension UICollectionReusableView : UIReusableType {}
