//
//  CurriculaItem.swift
//  schedule
//
//  Created by Илья Лошкарёв on 22.03.2018.
//  Copyright © 2018 SFEDU. All rights reserved.
//

import Foundation

/// Описание предмета
struct CurriculaItem: Decodable, CustomStringConvertible {
    
    /// Идентификатор пары
    let lessonId: Int
    /// Порядок предмета для отображения в списке
    let placeInSlot: Int
    /// Название предмета
    let subject: String
    /// Аббревиатура предмета
    let abbreviation: String
    /// Имя преподавателя
    let teacher: String
    /// Степень преподавателя
    let teacherDegree: String
    /// Аудитория
    let room: String
    
    /// Перечесление для преобразования имен полей объекта при сериализации
    enum CodingKeys: String, CodingKey {
        case lessonId = "lessonid";
        case placeInSlot = "subnum";
        case subject = "subjectname";
        case abbreviation = "subjectabbr";
        case teacher = "teachername"
        case teacherDegree = "teacherdegree";
        case room = "roomname"
    }
    
    var description: String {
        return "\(lessonId): \(subject), \(room)"
    }
}
