//
//  Lesson.swift
//  schedulr
//
//  Created by Илья Лошкарёв on 21.03.2018.
//  Copyright © 2018 SFEDU. All rights reserved.
//

import Foundation

/// Описание аккадемической пары
struct Lesson: Decodable, CustomStringConvertible {
    
    /// Уникальный идентификатор пары
    let id: Int
    /// Количество одновременных предметов
    let curriculaCount: Int
    /// Временной промежуток пары
    let timeslot: Timeslot


    /// Перечесление для преобразования имен полей объекта при сериализации
    enum CodingKeys: String, CodingKey {
        case id;
        case curriculaCount = "subcount";
        case timeslot
    }

    /// Инициализация с помощью декодера JSON
    public init(from decoder: Decoder) throws {
        let container = try decoder.container(keyedBy: CodingKeys.self)

        id = try container.decode(Int.self, forKey: .id)
        curriculaCount = try container.decode(Int.self, forKey: .curriculaCount)
        let timeslotStr = try container.decode(String.self, forKey: .timeslot)

        timeslot = Timeslot(timeslotStr)!
    }
    
    var description: String {
        return "\(id):\(timeslot)"
    }
}
