//
//  CurriculumProtocol.swift
//  schedule
//
//  Created by Илья Лошкарёв on 22.03.2018.
//  Copyright © 2018 SFEDU. All rights reserved.
//

import Foundation


/// Расписание
protocol Schedule: class, Decodable {
    
    /// Количество учебных дней (6)
    var numberOfWorkDays: Int {get}
    
    /// Количество пар в заданный день недели
    func numberOfLessons(onDay day: Int) -> Int
    
    /// Количество предметов в заданную пару
    ///   lesson - порядковый номер пары в день
    ///   day - порядковый номер дня недели
    func numberOfItems(forLesson lesson: Int, onDay day: Int) -> Int
    
    /// Информация о предметах в заданный день
    ///   lesson - порядковый номер пары в день
    ///   day - порядковый номер дня недели
    func curriculaItems(forLesson lesson: Int, onDay day: Int) -> [CurriculaItem]?
    
    /// Информация о времени проведения пары
    ///   lesson - порядковый номер пары в день
    ///   day - порядковый номер дня недели
    func timeslot(forLesson lesson: Int, onDay day: Int) -> Timeslot
}
