//
//  StubSchedule.swift
//  schedule
//
//  Created by Илья Лошкарёв on 31.03.2018.
//  Copyright © 2018 SFEDU. All rights reserved.
//

import Foundation

/// Класс - заглушка для расписания
class StubSchedule: Decodable, CustomStringConvertible {
    /// Массив пар
    var lessons = [Lesson]()
    /// Массив предметов
    var curricula = [CurriculaItem]()
    
    var description: String {
        return "\(lessons) \(curricula)"
    }
}

extension StubSchedule: Schedule {
    var numberOfWorkDays: Int {return 6}
    
    func numberOfLessons(onDay day: Int) -> Int {
        return 1
    }
    
    func numberOfItems(forLesson lesson: Int, onDay day: Int) -> Int {
        return 2
    }
    
    func curriculaItems(forLesson lesson: Int, onDay day: Int) -> [CurriculaItem]? {
        let si = 2*day
        let ei = 2*(day+1)
        return Array(curricula[si..<ei])
    }
    
    func timeslot(forLesson lesson: Int, onDay day: Int) -> Timeslot {
        return Timeslot("(0,00:00:00,00:00:00,full)")!
    }
}
