//
//  ScheduleAPI.swift
//  schedule-connect
//
//  Created by Илья Лошкарёв on 07.04.2018.
//  Copyright © 2018 SFEDU. All rights reserved.
//

import Foundation

/// Точки доступа к данным сервиса
enum ScheduleAPI {
    /// Адрес сервера
    static let hostname = "http://schedule.sfedu.ru"

    /// Текущая неделя (верхняя/нижняя)
    case currentWeek
    /// Список всех курсов
    case gradesList
    /// Список групп заданного курса
    case groupsList(gradeId: Int)
    /// Расписание заданной группы
    case groupSchedule(id: Int)
}

extension ScheduleAPI {
    /// Генерируем URL для заданной точки доступа
    var url: URL {
        switch self {
        case .currentWeek:
            return URL(string: ScheduleAPI.hostname + "/APIv1/week?APIKey=undefined")!
        case .gradesList:
            return URL(string: ScheduleAPI.hostname + "/APIv1/grade/list?APIKey=undefined")!
        case .groupsList(let gradeId):
            return URL(string: ScheduleAPI.hostname + "/APIv1/group/forGrade/\(gradeId)?APIKey=undefined")!
        case .groupSchedule(let groupId):
            return URL(string: ScheduleAPI.hostname + "/APIv1/schedule/group/\(groupId)?APIKey=undefined")!
        }
    }
}
